%define sname   crossfire-client

Name:           %{sname}-data
Version:        1.71.0
Release:        %mkrel 4
Summary:        Data files for Crossfire game client
Group:          Games/Adventure
License:        GPLv2+
URL:            http://crossfire.real-time.com/
Source0:        http://downloads.sourceforge.net/project/crossfire/%{sname}/%{version}/%{sname}-sounds-%{version}.tar.bz2
Source1:        http://downloads.sourceforge.net/project/crossfire/%{sname}/%{version}/%{sname}-images-%{version}.tar.bz2

BuildArch:      noarch
Recommends:       %{sname} = %{version}

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet.
It has multiplayer capability and presently runs under X11.

This package contains data files for Crossfire game clients.
It includes sound files and image cache.

%prep
%setup -q -c -T

%build

%install
# Extract cache images and sounds to buildroot
mkdir -p %{buildroot}%{_gamesdatadir}/%{sname}/
tar -xvf %{SOURCE0} -C %{buildroot}%{_gamesdatadir}/%{sname}/
tar -xvf %{SOURCE1} -C %{buildroot}%{_gamesdatadir}/%{sname}/

# Remove debian files
rm -rf %{buildroot}%{_gamesdatadir}/crossfire-client/sounds/debian

%files
%{_gamesdatadir}/%{sname}/*


%changelog
* Wed Feb 03 2016 umeabot <umeabot> 1.71.0-4.mga6
+ Revision: 933592
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.71.0-3.mga5
+ Revision: 740146
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.71.0-2.mga5
+ Revision: 678594
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Wed Jun 04 2014 akien <akien> 1.71.0-1.mga5
+ Revision: 633072
- import source RPM based off OpenMandriva SRPM

